if BUILD_TESTS

TESTS = client_name socket_send v1_source_id base_util

check_PROGRAMS = client_name socket_send v1_source_id base_util

client_name_SOURCES = tests/client_name.c
client_name_CFLAGS = $(CHECK_CFLAGS) \
    -I$(top_srcdir)/include
client_name_LDADD = $(top_builddir)/libds485-net.la $(CHECK_LIBS)

socket_send_SOURCES = tests/socket_send.c tests/lib_simple_client.c
socket_send_CFLAGS = $(CHECK_CFLAGS) \
    -I$(top_srcdir)/include \
    $(LIBDSUID_CFLAGS)
socket_send_LDADD = $(top_builddir)/libbase.la $(CHECK_LIBS)

v1_source_id_SOURCES = tests/v1_source_id.c tests/lib_simple_client.c \
    base/socket_send.c \
    base/log.c
v1_source_id_CFLAGS = $(CHECK_CFLAGS) \
    -I$(top_srcdir)/include \
    $(LIBDSUID_CFLAGS)
v1_source_id_LDADD = $(top_builddir)/libds485-net.la $(CHECK_LIBS) $(LIBDSUID_LIBS)

base_util_SOURCES = tests/base_util.c base/util.c base/log.c
base_util_CFLAGS = $(CHECK_CFLAGS) -I$(top_srcdir)/include
base_util_LDADD = $(CHECK_LIBS)

endif
